error in recommended plugin example

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

error in recommended plugin example

Chris Stephens-3
The reccomended plugin example has a compile error due to a missing
library the error is:

compile:
     [echo] Compiling plugin: recommended
    [javac] Compiling 3 source files to
/usr/local/nutch/build/recommended/classes
    [javac]
/usr/local/nutch/src/plugin/recommended/src/java/org/apache/nutch/RecommendedParser.java:29:
cannot find symbol
    [javac] symbol  : class DocumentFragment
    [javac] location: class
org.apache.nutch.parse.recommended.RecommendedParser
    [javac]   public Parse filter(Content content, Parse parse,
HTMLMetaTags metaTags, DocumentFragment doc) {
   
[javac]                                                                            
^
    [javac] Note:
/usr/local/nutch/src/plugin/recommended/src/java/org/apache/nutch/RecommendedIndexer.java
uses or overrides a deprecated API.
    [javac] Note: Recompile with -Xlint:deprecation for details.
    [javac] 1 error


This can be fixed by adding import org.w3c.dom.*; to the imports section
of RecommendedParser.  Can someone update the wiki page?  I know this is
minor, but it can be a pain for neophyte Java developers like myself.

--Chris